<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head>
    <!--/*/ <th:block th:include="fragments/head :: head"/>  /*/-->

    <!-- Custom JS -->
    <script src="../assets/js/search.js"></script>
</head>
<body>
<div id="wrapper">
    <div id="page-wrapper">
        <div class="row">
            <div class="col-lg-1">
                <!-- spaceholder -->
            </div>
            <div class="col-lg-11">
                <h1 class="page-header">HotelReviewSearch</h1>
            </div>
        </div>

        <div class="row">
            <div class="col-lg-1">
                <!-- spaceholder -->
            </div>
            <div class="col-lg-10">
                <form id="searchForm" action="/search">
                    <div class="row">
                        <div class="col-lg-10">
                            <input type="text" id="search-input" class="form-control" name="q" autocomplete="off" th:value="${query}"/>
                        </div>
                        <div class="col-lg-2">
                            <button id="submit-search" class="btn btn-default" type="submit">
                                <i class="fa fa-search"></i>
                                <span>Search</span>
                            </button>
                        </div>
                    </div>
                </form>

                <div class="row">
                    <div class="col-lg-12">
                        <div class="statistics">
                            <span>About</span>
                            <span th:text="${#numbers.formatInteger(page.estimatedTotalHits,1,'COMMA')}"></span>
                            <span> results (</span>
                            <span th:text="${time}"></span>
                            <span> seconds )</span>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-lg-1">
                <!-- spaceholder -->
            </div>
            <br/> <hr/>
        </div>

        <div class="row">
            <div class="col-lg-1">
                <!-- spaceholder -->
            </div>
            <div class="col-lg-10">
                <h5 th:if="${page.itemsOnPage.isEmpty()}">No search results found for query <b th:text="${query}"></b>.</h5>

                <div th:each="searchResult : ${page.itemsOnPage}">
                    <!-- Hotel name -->
                    <a th:href="@{'/detail'(hotelid=${searchResult.getHotel()?.getHotelId()},q=${query})}">
                        <h3 class="search-result-title" th:text="${searchResult.getHotelName()}"></h3>
                    </a>
                    <p>There have been <span class="w3-badge w3-green" th:text="${searchResult.getHitCountInHotel()}+'/'+${searchResult.getMaxCountReviews()}"></span> reviews matching that query.</p>

                    <!-- Hotel description -->
                    <p class="search-result-snipped" th:text="${searchResult.hotelDescriptionSnippet}"></p>

                    <!-- Max. 3 examples of review snippets -->
                    <span th:each="reviewSnippet: ${searchResult.reviewSnippetList}">
                        <p>"<span th:utext="${reviewSnippet}"></span>"</p>
                    </span>

                    <hr/>
                </div>

                <!-- Pagination Bar-->
                <nav aria-label="Page navigation" class="pagination-bar">
                    <ul class="pagination justify-content-center">
                        <!-- (if) ? (then) : (else) -->
                        <li th:class="${page.hasPreviousPage}? 'page-item' : 'page-item disabled'">
                            <a class="page-link" th:href="@{'/search'(q=${query},p=${page.currentPage - 1},s=${page.pageSize})}" title="Go to previous page">«</a>
                        </li>
                        <li th:each="number : ${page.displayedPageNumbers}" th:class="${page.currentPage == number}? 'page-item active' : 'page-item'">
                            <a class="page-link" th:href="@{'/search'(q=${query},p=${number},s=${page.pageSize})}">
                                <span th:text="${number}">1</span>
                            </a>
                        </li>
                        <li th:class="${page.hasNextPage}? 'page-item' : 'page-item disabled'">
                            <a class="page-link" th:href="@{'/search'(q=${query},p=${page.currentPage + 1},s=${page.pageSize})}" title="Go to next page">»</a>
                        </li>
                    </ul>
                </nav>
            </div>
            <div class="col-lg-1">
                <!-- spaceholder -->
            </div>
        </div>
    </div> <!-- page-wrapper -->
</div> <!-- wrapper -->

    <!--/*/ <th:block th:include="fragments/footer :: footer"/>  /*/-->
</body>
</html>